Loading...
Searching...
No Matches
gr::digital::mpsk_snr_est_svr Class Reference

Signal-to-Variation Ratio SNR Estimator. More...

`#include <gnuradio/digital/mpsk_snr_est.h>`

## Public Member Functions

| mpsk_snr_est_svr (double alpha)
| ~mpsk_snr_est_svr () override
int | update (int noutput_items, const gr_complex *input) override
| Update the current registers.
double | snr () override
| Use the register values to compute a new estimate.
Public Member Functions inherited from gr::digital::mpsk_snr_est
| mpsk_snr_est (double alpha)
virtual | ~mpsk_snr_est ()
double | alpha () const
| Get the running-average coefficient.
void | set_alpha (double alpha)
| Set the running-average coefficient.
virtual double | signal ()
| Returns the signal power estimate.
virtual double | noise ()
| Returns the noise power estimate.

## Additional Inherited Members

Protected Attributes inherited from gr::digital::mpsk_snr_est
double | d_alpha
double | d_beta
double | d_signal
double | d_noise

## Detailed Description

Signal-to-Variation Ratio SNR Estimator.

This estimator actually comes from an SNR estimator for M-PSK signals in fading channels, but this implementation is specifically for AWGN channels. The math was simplified to assume a signal and noise kurtosis ( \(k_a\) and \(k_w\)) for M-PSK signals in AWGN. These approximations significantly reduce the complexity of the calculations (and computations) required.

Original paper: A. L. Brandao, L. B. Lopes, and D. C. McLernon, "In-service monitoring of multipath delay and cochannel interference for indoor mobile communication systems," Proc. IEEE Int. Conf. Communications, vol. 3, pp. 1458-1462, May 1994.

Reference: D. R. Pauluzzi and N. C. Beaulieu, "A comparison of SNR estimation techniques for the AWGN channel," IEEE Trans. Communications, Vol. 48, No. 10, pp. 1681-1691, 2000.

## Constructor & Destructor Documentation

## mpsk_snr_est_svr()

gr::digital::mpsk_snr_est_svr::mpsk_snr_est_svr | ( | double | alpha | ) |

Constructor

Parameters:

Parameters

  alpha | the update rate of internal running average calculations.

References gr::digital::mpsk_snr_est::alpha().

## ~mpsk_snr_est_svr()

gr::digital::mpsk_snr_est_svr::~mpsk_snr_est_svr | ( |  | ) |

inline override

## Member Function Documentation

## snr()

double gr::digital::mpsk_snr_est_svr::snr | ( |  | ) |

override virtual

Use the register values to compute a new estimate.

Reimplemented from gr::digital::mpsk_snr_est.

## update()

int gr::digital::mpsk_snr_est_svr::update | ( | int | noutput_items,
|  | const gr_complex * | input )

override virtual

Update the current registers.

Reimplemented from gr::digital::mpsk_snr_est.

The documentation for this class was generated from the following file:

- mpsk_snr_est.h